Subject: Re: ioremap() fails for >64 MB

From: "David H. Lynch Jr." <[email-masked]>
Date: Tue, 22 Aug 2006 17:05:01 -0400

is ioremap() failing or is vmalloc failing ?

    ioremap should just assign a virtual address to a physical address -
does it actually allocate anything ?
    I beleive I am ioremap()ing a greater than 64MB Flash ROM and I do
not think it is failing.

Alex Zeffertt wrote:
> Phil Nitschke wrote:
>   
>> Hi all,
>>
>> I have 2 GB memory on a 7448 processor, and want to reserve a huge chunk
>> of it at boot-time, then ioremap() it into the kernel space inside a
>> device driver.  So far I've succeeded with 64 MB, but can't go any
>> higher, as mm/vmalloc.c tells me: "allocation failed: out of vmalloc
>> space - use vmalloc=<size> to increase size."
>>
>>     
>
> I remember reading in Linux Device Drivers that you can use the bigphysarea
> patch to allocate large memory, as long as you do it at boot time.  It seems
> it's been ported to 2.6 too:
>
> 	http://lwn.net/Articles/111132/
>
> Alex
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein